      complex function rottf( tzx, tzy, theta)
      implicit none
      complex tzx, tzy
      real theta

      real sind, cosd
c 
c
c      subroutine rotates impedance tensor element from formula
c
c              T
c      T' = T R
c
c      where T is the TF vector and R is the Cartesian rotation matrix
c
c  NOTE: This is NOT the usual rotation matrix as in this case x is ordinate
c        and y is abscissa
c
c	usage:
c
c	  tzxr = rotz( tzx,  tzy, theta )
c	  tzyr = rotz( tzy, -tzx, theta )
c
c
c      tzx     - Tzx transfer function
c      tzy     - Tzy transfer function
c      theta   - clockwise angle in degrees to rotate to
c
c NOTE: remember to declare ROTTF as complex in the calling programme
c	
c

      rottf = tzx*cosd(theta) + tzy*sind(theta)

      return
      end
